package com.ruoyi.generator.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 数据源信息对象 sys_datasource
 * 
 * @author ruoyi
 * @date 2023-11-22
 */
public class Datasource extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据源ID */
    private Long datasourceId;

    /** 数据源名称 */
    @Excel(name = "数据源名称")
    private String datasourceName;

    /** 数据库驱动 */
    @Excel(name = "数据库驱动")
    private String driver;

    /** 数据源url */
    @Excel(name = "数据源url")
    private String url;

    /** 用户名 */
    @Excel(name = "用户名")
    private String user;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    public void setDatasourceId(Long datasourceId) 
    {
        this.datasourceId = datasourceId;
    }

    public Long getDatasourceId() 
    {
        return datasourceId;
    }
    public void setDatasourceName(String datasourceName) 
    {
        this.datasourceName = datasourceName;
    }

    public String getDatasourceName() 
    {
        return datasourceName;
    }
    public void setDriver(String driver) 
    {
        this.driver = driver;
    }

    public String getDriver() 
    {
        return driver;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setUser(String user) 
    {
        this.user = user;
    }

    public String getUser() 
    {
        return user;
    }
    public void setPassword(String password) 
    {
        this.password = password;
    }

    public String getPassword() 
    {
        return password;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("datasourceId", getDatasourceId())
            .append("datasourceName", getDatasourceName())
            .append("driver", getDriver())
            .append("url", getUrl())
            .append("user", getUser())
            .append("password", getPassword())
            .toString();
    }
}
